%define upstream_name    CPAN-Mini-Extract
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Create CPAN::Mini mirrors with the archives extracted
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar) >= 1.220.0
BuildRequires: perl(CPAN::Mini) >= 0.550.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Find::Rule) >= 0.300.0
BuildRequires: perl(File::Remove) >= 0.340.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(LWP::Online) >= 0.30.0
BuildRequires: perl(List::Util) >= 1.150.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
'CPAN::Mini::Extract' provides a base for implementing systems that
download "all" of CPAN, extract the dists and then process the files
within.

It provides the same syncronisation functionality as the CPAN::Mini manpage
except that it also maintains a parallel directory tree that contains a
directory located at an identical path to each archive file, with a
controllable subset of the files in the archive extracted below.

How does it work
    'CPAN::Mini::Extract' starts with a the CPAN::Mini manpage local
    mirror, which it will optionally update before each run. Once the the
    CPAN::Mini manpage directory is current, it will scan both directory
    trees, extracting any new archives and removing any extracted archives
    no longer in the minicpan mirror.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Mar 24 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 76605
- update to 1.21

* Tue Mar 01 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 61964
- imported package perl-CPAN-Mini-Extract


* Tue Mar 01 2011 cpan2dist 1.20-1mga
- initial mageia release, generated with cpan2dist
